magnum-api_6.1.0-0ubuntu1_all.deb


Advertisement

Description

magnum-api - OpenStack containers as a service

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package filename magnum-api_6.1.0-0ubuntu1_all.deb
Package name magnum-api
Package version 6.1.0
Package release 0ubuntu1
Package architecture all
Package type deb
Category universe/net
Homepage https://github.com/openstack/magnum
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 16.59 KB
Installed size 109.00 KB
Magnum is an OpenStack project which offers container orchestration engines
for deploying and managing containers as first class resources in OpenStack.
It features:
* Abstractions for bays, containers, nodes, pods, replication controllers,
and services
* Integration with Kubernetes and Docker for backend container technology
* Integration with Keystone for multi-tenant security
* Integration with Neutron for Kubernetes multi-tenancy network security
This package contains the API server.

Alternatives

Package Version Architecture Repository
magnum-api_6.1.0-0ubuntu1_all.deb 6.1.0 all Ubuntu Universe
magnum-api - - -

Requires

Name Value
debconf >= 0.5
debconf-2.0 -
magnum-common = 6.1.0-0ubuntu1
python-openstackclient -
q-text-as-data -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package magnum-api_6.1.0-0ubuntu1_all.deb
Source Package magnum

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install magnum-api deb package:
    # sudo apt-get install magnum-api

Files

Path
/etc/init/magnum-api.conf
/etc/init.d/magnum-api
/lib/systemd/system/magnum-api.service
/usr/share/doc/magnum-api/changelog.Debian.gz
/usr/share/doc/magnum-api/copyright

Changelog

2018-02-26 - Corey Bryant <corey.bryant@canonical.com>
magnum (6.1.0-0ubuntu1) bionic; urgency=medium
* New upstream point release for OpenStack Queens.
* d/control: Align (Build-)Depends with upstream.
* d/p/use-lower-kubernetesclient.patch: Rebased.
2018-02-14 - Corey Bryant <corey.bryant@canonical.com>
magnum (6.0.1-0ubuntu1) bionic; urgency=medium
* New upstream release for OpenStack Queens.
* d/*: wrap-and-sort -bast.
* d/control: Update Standards-Version to 4.1.2.
* d/control: Align (Build-)Depends with upstream.
* d/p/revert-move-to-docker-2.0.0.patch: Rebased.
* d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
* d/p/use-lower-kubernetesclient.patch: Rebased and renamed. Updated to
use python-kubernetes >= 1.0.0.
* d/control: Add lsb-release for d/revert-move-to-docker-2.0.0.patch.
* d/rules, d/magnum-common.postinst.in, d/magnum-common.install: Drop
policy.json in line with upstream policy in code, and update config
file install.
2017-08-28 - Corey Bryant <corey.bryant@canonical.com>
magnum (5.0.1-0ubuntu1) artful; urgency=medium
* New upstream point release.
2017-08-24 - Corey Bryant <corey.bryant@canonical.com>
magnum (5.0.0-0ubuntu1) artful; urgency=medium
* New upstream release.
* d/control: Align (Build-)Depends with upstream.
* d/p/oslo.db-compat.patch: Dropped. Fixed upstream.
* d/p/use-k8sclient.patch: Rebased.
* d/p/sqla-compat.patch: Dropped. Fixed upstream.
* d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
sphinx extension until sphinx>=1.6.2 is available.
* d/control, d/p/revert-move-to-docker-2.0.0.patch: Revert to using
python-docker >= 1.8.1.
2017-08-03 - Corey Bryant <corey.bryant@canonical.com>
magnum (4.1.3-0ubuntu2) artful; urgency=medium
* d/control: Set min python-requests to 2.14.2.
2017-07-28 - Corey Bryant <corey.bryant@canonical.com>
magnum (4.1.3-0ubuntu1) artful; urgency=medium
* New upstream release.
2017-06-15 - James Page <james.page@ubuntu.com>
magnum (4.1.1-0ubuntu2) artful; urgency=medium
* d/p/oslo.db-compat.patch: Cherry pick fix for compatibility with
later oslo.db versions, pending new upstream release.
2017-05-16 - James Page <james.page@ubuntu.com>
magnum (4.1.1-0ubuntu1) artful; urgency=medium
* New upstream release.
2017-05-16 - James Page <james.page@ubuntu.com>
magnum (4.1.0-0ubuntu4) artful; urgency=medium
* d/p/sqla-compat.patch: Drop upper bound for SQLAlchemy, resolving
installation failure with >= 1.1.x.
2017-04-28 - James Page <james.page@ubuntu.com>
magnum (4.1.0-0ubuntu3) artful; urgency=medium
* No-change rebuild for sqlalchemy 1.1.x.

See Also

Package Description
magnum-common_6.1.0-0ubuntu1_all.deb OpenStack containers as a service - API server
magnum-conductor_6.1.0-0ubuntu1_all.deb OpenStack containers as a service - conductor
mago_0.3+bzr20-0ubuntu3_all.deb Library and harness for desktop testing
mah-jong_1.11-2build1_amd64.deb Original Mah-Jong game
mahimahi-traces_0.98-1build1_all.deb network traces for the mahimahi toolkit
mahimahi_0.98-1build1_amd64.deb tools for network emulation and analysis
mail-expire_0.8_all.deb Utility to extract outdated messages from mbox files
mail-notification-evolution_5.4.dfsg.1-14ubuntu2_amd64.deb evolution support for mail notification
mail-notification_5.4.dfsg.1-14ubuntu2_amd64.deb mail notification in system tray
mailagent_3.1-81-4build1_amd64.deb automatic mail-processing tool and filter
mailavenger_0.8.4-4.1_amd64.deb Highly configurable, MTA-independent SMTP filter server
mailcheck_1.91.2-2build1_amd64.deb Check multiple mailboxes/maildirs for mail
maildir-filter_1.20-5_amd64.deb Simple program to filter messages into Maildir folders from dot-qmail
maildir-utils_0.9.18-2build3_amd64.deb Set of utilities to deal with Maildirs (upstream name mu)
maildirsync_1.2-2.2_all.deb simple and efficient Maildir synchronisation utility
Advertisement
Advertisement